Bug 5960 - QXL driver drawing artifacts
: QXL driver drawing artifacts
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-21 10:30 MSD by Alexey Ivanov
Modified: 2015-08-04 07:18 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
Artifact example (362.52 KB, image/png)
2015-07-21 10:30 MSD, Alexey Ivanov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Ivanov 2015-07-21 10:30:49 MSD
Created attachment 4191 [details]
Artifact example

Description of problem:

QXL video driver shows artifacts when Rosa Fresh is running as KVM guest. See attached screenshot. QXL driver build below has several compositing and surface-rendering patches applied.

====================================

Build lists:

https://abf.io/build_lists/2545892
https://abf.io/build_lists/2545893

Advisory:
************************************
Fix numerous drawing artifacts.
************************************

Testing procedure for QA.
I can provide access to affected virtual machine for testing purposes. Email me for further instructions.
Comment 1 Vladimir Potapov 2015-07-31 12:56:10 MSD
The update is sent to expanded testing
**************************************
Comment 2 Vladimir Potapov 2015-07-31 12:58:29 MSD
Замечания
1) в i586 артефакты в заголовках сохраняются на xrender и исчезают при включении OpenGL. Но даже при включении OpenGL эффекты работают неправильно, нету плавного таяния окон  - просто медленное вертикальное исчезновение.
2) в х64 с графикой все нормально, но не работает звук
Comment 3 Vladimir Potapov 2015-08-04 06:28:59 MSD
x11-driver-video-qxl-0.1.4-3
https://abf.io/build_lists/2545892
https://abf.io/build_lists/2545893
***************************** Advisory ********************************
QXL video driver shows artifacts when Rosa Fresh is running as KVM guest. See attached screenshot. QXL driver build below has several compositing and surface-rendering patches applied.
***********************************************************************
QA Verified